#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	vala
Version		:	0.56.17
Release		:	17.0.10.rel%{?dist}
Summary		:	A new programming language
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://ftp.gnome.org/pub/gnome/sources/vala

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	graphviz-devel
#-----------------------------------------------------------------------------
%description
Vala is a new programming language that aims to bring modern
programming language features to GNOME developers without
imposing any additional runtime requirements and without using
a different ABI compared to applications and libraries written
in C. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}*
%{_bindir}/vapigen*
%{_includedir}/%{name}-%{majorver}/*.h
%{_includedir}/%{name}doc-%{majorver}/%{name}doc.h
%{_libdir}/lib%{name}*-%{majorver}.so*
%{_libdir}/%{name}-%{majorver}/gen-introspect-%{majorver}
%{_libdir}/%{name}-%{majorver}/lib%{name}*.so
%{_libdir}/%{name}doc-%{majorver}/doclets/{devhelp,gtkdoc,html}/libdoclet.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/devhelp/books/%{name}-%{majorver}/*.{devhelp2,html,css}
%{_datadir}/%{name}-%{majorver}/vapi/*.{deps,vapi}
%{_datadir}/%{name}/vapi/*.{deps,vapi}
%{_datadir}/%{name}doc-%{majorver}/icons/*.{css,js,png}
%{_datadir}/%{name}doc-%{majorver}/icons/*.svg
%{_datadir}/%{name}/Makefile.vapigen
%{_datadir}/aclocal/*.m4
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

ACLOCAL= autoreconf -fiv
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make %{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
